<?
if ($level < 1) {
  die('У вас нет прав доступа');
}

if (isset($ID)) {
  $goods = $sql -> fetch("SELECT * FROM `shop_goods` WHERE `id` = '$ID' AND `unlink` = '0' LIMIT 1");
  $oldf = unserialize($goods['file']);
  
  if ($goods['id_user'] != $user['id']) {
    die('У вас нет прав доступа к этому товару');
  }
} 

if (!isset($goods['id'])) {
  die('Ошибка: Товар не существует');
}

if (isset($_POST['msg']))
{  
  $bro_rand = rand(1,9999999);
  $file = esc(stripcslashes(htmlspecialchars($_FILES['file']['name'])));
  $size = (int) $_FILES['file']['size'];
  $type = $sql->esc($_FILES['file']['type']);
  $file = preg_replace('(\#|\?)', NULL, $file);	
  $name = preg_replace('#\.[^\.]*$#', NULL, $file); 
  $name = ''.$time.'_OnlineShop_'.$user['login'].'_'.latin($goods['name']).'_'.$bro_rand.'';
  $cache = md5($time);
  $ras = strtolower(preg_replace('#^.*\.#', NULL, $file));
  
  $msg = $sql->esc($_POST['msg']);
  
  if (strlen2($msg) < 3) {
    $err[] = 'Опишите список изменений в товаре';
  }
  
  if (!isset($err)) {
    if (@copy($_FILES['file']['tmp_name'], FILES.'shop/' . $cache . '.dat')) {
      @unlink(FILES.'shop/' . $oldf['cache'] . '.dat');
      $files = serialize(array('name' => $name, 'ras' => $ras, 'size' => $size, 'type' => $type, 'cache' => $cache)); 
    } else {
      $err[] = 'Ошибка при выгрузке товара';
    }      
  }
  
  if (!isset($err)) {
    
    // Рассылка покупателям
    $payses = $sql -> select("SELECT * FROM `shop_pays` WHERE `id_goods` = '$goods[id]' AND `pays` = '1'");
    foreach($payses AS $ank) {
      journal($ank['id_user'], 'goods', "Купленный вами товар [url=/index.php?func=shop.goods&id=" . $goods['id'] . "]" . $goods['name'] . "[/url] был обновлен: [red]$msg [/red]");
    }
    
    if ($system['j_paysgoods'] == 1) {
      admin_journal($user['id'], 'goods', " заменил(а) архив товара [url=?func=shop.goods&id=" . $goods['id'] . "]" . $goods['name'] . "[/url]");
    }
    
  	$sql -> update("UPDATE `shop_goods` SET `file` = '$files' WHERE `id` = '$goods[id]' LIMIT 1");
  	$_SESSION['message'] = 'Замена архива прошла успешно';		

  	header('Location: ?func=shop.goods&id=' . $ID);
  	exit;			 	
  }
}

$system['title'] = 'Замена архива';
require SYS . 'header.php';
?>
<form class="form-horizontal" action="?func=shop.goodsfile&amp;id=<?= $goods['id']?>" enctype="multipart/form-data" method="POST" style="padding: 20px 0 20px 0;">
  
  <div class="control-group warning">
    <label class="control-label" for="file">Выбирите файл</label>
    <div class="controls">
      <input type="file" id="file" name="file"  style="width: 200px" /><br />
    </div>
  </div>
  
  <div class="control-group warning">
    <label class="control-label" for="file">Описание изменений</label>
    <div class="controls">
      <textarea name="msg"></textarea>
    </div>
  </div>
  
  <div class="control-group" style="margin: 0;">
    <div class="controls">
      <button type="submit" class="btn">Заменить</button>
    </div>
  </div>
</form>


<div class="foot">
  &laquo; <a href="?func=shop.goods&amp;id=<?= $goods['id']?>">На страницу товара</a><br />
</div>